<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".OrienteeringActivity">
    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="0dp"
            android:layout_height="0dp" android:id="@+id/linearLayout2" app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintBottom_toBottomOf="parent">
        <com.amap.api.maps2d.MapView
                android:id="@+id/map"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:clickable="true" android:rotationY="0"/>
    </LinearLayout>
    <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            tools:ignore="MissingConstraints"
            android:gravity="center">

        <Chronometer
                android:id="@+id/chronometer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:textColor="@color/black_555555"
                android:textSize="34sp"
                android:fontFamily="sans-serif-black"
        />
    </LinearLayout>
    <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="match_parent" android:id="@+id/linearLayout" app:layout_constraintEnd_toEndOf="parent"
            android:gravity="bottom"
            app:layout_constraintBottom_toBottomOf="parent">

        <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/badge_corner_radius"
                app:cardBackgroundColor="@color/white_F5F4F2" app:cardCornerRadius="14dp" app:cardElevation="2dp">
            <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"

                    android:layout_gravity="center"
                    android:paddingStart="@dimen/shifting_width_custom_padding"
                    android:paddingEnd="@dimen/shifting_width_custom_padding"
            >

                <TextView
                        android:text="TITILE"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:id="@+id/ActivityTitle"
                        android:textSize="34sp"
                        android:fontFamily="sans-serif-black"
                        android:textAppearance="@style/TextAppearance.AppCompat.Large"
                        android:textColor="@color/black_555555"
                        android:textAlignment="center"
                />
                <Button
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:id="@+id/btn_rank"
                        android:text="查看实时排名"
                        android:onClick="to_realtimeRank"
                />

                    <TextClock
                            android:id="@+id/tc_timeText_12"
                            android:format24Hour="当前时间  HH:mm:ss"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:textColor="@color/black"
                    />


            </LinearLayout>
        </androidx.cardview.widget.CardView>

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>